You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/x11-fonts/nexfontsel/Makefile 327781 2013-09-20 
23:51:14Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-12-13_10h05m14s/logs/nexfontsel-3.0.1_3.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/head-i386-default/2013-12-13_10h05m14s
Log:

====>> Building x11-fonts/nexfontsel
build started at Sat Dec 14 00:32:00 UTC 2013
port directory: /usr/ports/x11-fonts/nexfontsel
building for: FreeBSD head-i386-default-job-05 11.0-CURRENT FreeBSD 
11.0-CURRENT r256430 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/x11-fonts/nexfontsel/Makefile 327781 
2013-09-20 23:51:14Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1100000
UNAME_v=FreeBSD 11.0-CURRENT r256430
UNAME_r=11.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-i386-default/ref
PKG_EXT=txz
tpid=52752
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=nexfontsel-3.0.1_3
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=head-i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" IMAKECPP=tradcpp IMAKECPPFLAGS="-DCppCmd=tradcpp -DCcCmd=cc 
-DCplusplusCmd=c++" SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" IMAKECPP=tradcpp IMAKECPPFLAGS="-DCppCmd=tradcpp -DCcCmd=cc 
-DCplusplusCmd=c++" SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  
LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  CXX="c++" 
CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/nexfontsel
DOCSDIR=/usr/local/share/doc/nexfontsel
EXAMPLESDIR=/usr/local/share/examples/nexfontsel
WWWDIR=/usr/local/www/nexfontsel
ETCDIR=/usr/local/etc/nexfontsel
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for nexfontsel-3.0.1_3
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   nexfontsel-3.0.1_3 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.2.3.txz
Installing pkg-1.2.3... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of nexfontsel-3.0.1_3
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by nexfontsel-3.0.1_3 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by nexfontsel-3.0.1_3 for building
=> SHA256 Checksum OK for NeXFontSel-3.0.1.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by nexfontsel-3.0.1_3 for building
===>  Extracting for nexfontsel-3.0.1_3
=> SHA256 Checksum OK for NeXFontSel-3.0.1.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for nexfontsel-3.0.1_3
===========================================================================
=======================<phase: build-depends  >============================
===>   nexfontsel-3.0.1_3 depends on executable: imake - not found
===>    Verifying install for imake in /usr/ports/devel/imake
===>   Installing existing package /packages/All/imake-1.0.6_1,1.txz
Installing imake-1.0.6_1,1...Installing xproto-7.0.24... done
Installing xorg-cf-files-1.0.5_1... done
Installing perl5-5.16.3_4...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.16.3 to /usr/bin/perl5
Done.
 done
Installing makedepend-1.0.5,1... done
Installing gccmakedep-1.0.2_1... done
 done
===>   Returning to build of nexfontsel-3.0.1_3
===>   nexfontsel-3.0.1_3 depends on executable: tradcpp - not found
===>    Verifying install for tradcpp in /usr/ports/devel/tradcpp
===>   Installing existing package /packages/All/tradcpp-0.4.txz
Installing tradcpp-0.4... done
===>   Returning to build of nexfontsel-3.0.1_3
===>   nexfontsel-3.0.1_3 depends on file: /usr/local/libdata/pkgconfig/xaw7.pc 
- not found
===>    Verifying install for /usr/local/libdata/pkgconfig/xaw7.pc in 
/usr/ports/x11-toolkits/libXaw
===>   Installing existing package /packages/All/libXaw-1.0.12,2.txz
Installing libXaw-1.0.12,2...Installing xextproto-7.2.1... done
Installing printproto-1.0.5... done
Installing libxcb-1.9.1_1...Installing libXau-1.0.8... done
Installing libXdmcp-1.1.1... done
Installing libpthread-stubs-0.3_4... done
Installing libxml2-2.8.0_3... done
 done
Installing libXpm-3.5.11...Installing libXext-1.3.2,1...Installing 
libX11-1.6.2,1...Installing kbproto-1.0.6... done
 done
 done
Installing libSM-1.2.2,1...Installing libICE-1.0.8,1... done
 done
Installing libXt-1.1.4,1... done
 done
Installing libXp-1.0.2,1... done
Installing libXmu-1.1.2,1... done
 done
===>   Returning to build of nexfontsel-3.0.1_3
===========================================================================
=======================<phase: lib-depends    >============================
===>   nexfontsel-3.0.1_3 depends on shared library: neXtaw - not found
===>    Verifying install for neXtaw in /usr/ports/x11-toolkits/neXtaw
===>   Installing existing package /packages/All/neXtaw-0.15.1_3.txz
Installing neXtaw-0.15.1_3... done
===>   Returning to build of nexfontsel-3.0.1_3
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for nexfontsel-3.0.1_3
imake -DUseInstalled -I/usr/local/lib/X11/config
make Makefiles
make includes
make depend
tradcpp -undef -traditional NeXFontSel.ad | tr "\t" " " | tr -s " " | sed -e 
'/^$/d ;/^#/d; /^!/d; s/^.*$/\"&\",/g' > NeXFontSel_ad.h
rm -f .depend
gccmakedep -f-  --   -I/usr/local/include    -DCSRG_BASED  -DFUNCPROTO=15 
-DNARROWPROTO      -- nexfontsel.c ULabel.c > .depend
===========================================================================
=======================<phase: build          >============================
===>  Building for nexfontsel-3.0.1_3
cc -O2 -pipe -fno-strict-aliasing        -I/usr/local/include    -DCSRG_BASED  
-DFUNCPROTO=15 -DNARROWPROTO     -c nexfontsel.c
cc -O2 -pipe -fno-strict-aliasing        -I/usr/local/include    -DCSRG_BASED  
-DFUNCPROTO=15 -DNARROWPROTO     -c ULabel.c
rm -f nexfontsel
cc -o nexfontsel       -L/usr/local/lib   nexfontsel.o ULabel.o -lneXtaw      
-Wl,-rpath,/usr/local/lib
/usr/bin/ld: : invalid DSO for symbol `XmuReleaseStippledPixmap' definition
/usr/local/lib/libXmu.so.6: could not read symbols: Bad value
cc: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[1]: stopped in 
/wrkdirs/usr/ports/x11-fonts/nexfontsel/work/NeXFontSel-3.0.1
*** Error code 1

Stop.
make: stopped in /usr/ports/x11-fonts/nexfontsel
===>  Cleaning for nexfontsel-3.0.1_3
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to